/*   JavaScript code for Redskins Football Schedule Widget
 *   Copyright (C) 2005 Sarah Tuohy <sjt2005@gmail.com>
 *   Displays the 2005 Redskins Football Schedule.
 *
 *   This work is licensed under the Creative Commons Attribution-NonCommercial-
 *   ShareAlike License. To view a copy of this license, visit
 *   http://creativecommons.org/licenses/by-nc-sa/2.5/ or send a letter to
 *   Creative Commons, 543 Howard Street, 5th Floor, San Francisco, California,
 *   94105, USA.
 *
 *   A copy of the license was also distributed with this widget.
 */

 /////////////////////////////////////////////////////////////////////////////////
 // FileName: fileWindow.js
 // Description: to create a window that will display a text file to the user; if
 //              acting as a "license" window, will ask the user if s/he agrees
 //              with the license, and the takethe appropriate measures depending
 //              on the response
 /////////////////////////////////////////////////////////////////////////////////

//there's a bug (i think) in konfabulator where a textarea
//with scrollbars --> excessively high cpu usage
//must use dynamic text areas to work around this for now

var myWindow=null;
var myTitle=null;
var myTitleImage=null;
var mySideImage=null;
var myCloseImage=null;
var myMainText=null;
var isShowing=false;

function processClose(isLicense) {
    isShowing=false;

    myWindow.visible = false;

    myMainText.data="";

    delete myMainText;

    delete myTitle;
    delete myTitleImage;
    delete mySideImage;
    delete myCloseImage;
    delete myWindow;

    //need to do this, or my widget becomes a massive cpu hog
    myMainText=null;

    if (isLicense) {
        if (preferences.acceptedLicense.value=="0") {
            var answer = alert("Your use of this widget depends on your acceptance of these licensing terms.", "Agree", "Disagree");
            if (answer == 2) {
                preferences.acceptedLicense.value="0";
                closeWidget();
            }
            else {
                preferences.acceptedLicense.value="1";
                fetchData();
            }
        }
    }
}

function showFileWindow (fileToDisplay, isLicense, title, font, size) {
    var index;

    if (!isShowing) {
        myWindow = new Window();
        myWindow.visible = false;

        var items = new Array();
        items[0] = new MenuItem();
        items[0].title = 'Close ' + title;
        items[0].enabled = true;
        items[0].onSelect = "processClose(" + isLicense + ")";
        myWindow.contextMenuItems = items;

        myTitleImage = new Image();
        myCloseImage = new Image();
        myTitle = new Text();
        mySideImage = new Image();
        myMainText = new TextArea();

        myTitleImage.window = myWindow;
        myCloseImage.window = myWindow;
        myTitle.window = myWindow;
        mySideImage.window = myWindow;
        myMainText.window = myWindow;


        myWindow.name = "myWindow";
        myTitleImage.name = "myTitleImage";
        myCloseImage.name = "myCloseImage";
        myTitle.name = "myTitle";
        mySideImage.name = "mySideImage";
        myMainText.name = "myMainText";


        myWindow.width=480;
        myWindow.height=500;
        myWindow.alignment="left";

        myWindow.vOffset = mainWindow.vOffset;
        myWindow.hOffset = mainWindow.hOffset;

        myTitleImage.src="Resources/images/windowTitle.gif";
        myTitleImage.rotation=0;
        myTitleImage.opacity=255;
        myTitleImage.hOffset=0;
        myTitleImage.vOffset=0;

        myCloseImage.src="Resources/images/closeWindow.gif";
        myCloseImage.rotation=0;
        myCloseImage.opacity=255;
        myCloseImage.hOffset=455;
        myCloseImage.vOffset=8;
        myCloseImage.onMouseUp="processClose("+ isLicense + ");";

        myTitle.font="Arial,Helvetica,Sans-Serif";
        myTitle.size=16;
        myTitle.style="bold";
        myTitle.color= "#000000";
        myTitle.hOffset=10;
        myTitle.vOffset=25;

        myTitle.alignment="left";
        myTitle.bgOpacity=0;
        myTitle.width=460;

        mySideImage.src="Resources/images/sideWhite.gif";
        mySideImage.rotation=0;
        mySideImage.opacity=255;
        mySideImage.hOffset=0;
        mySideImage.vOffset=38;
        mySideImage.vAlign="top";

        myMainText.scrollbar=true;
        myMainText.color= "#000000";
        myMainText.bgColor= "#FFFFFF";
        myMainText.hOffset=7;
        myMainText.vOffset=38;
        myMainText.bgOpacity=255;
        myMainText.width=473;
        myMainText.height=462;
        myMainText.editable = false;

        //2005-08-20 work around for text area madness situation
        //there's a bug (i think) in konfabulator with text areas
        //with scrollbars. must do the following trick to get
        //scrollbars to show up
        myMainText.scrollbar="";
        myMainText.scrollbar=true;

        myWindow.visible = true;

    }


    var string=filesystem.readFile(fileToDisplay);

    myMainText.data=string;
    myMainText.font=font;
    myMainText.size=parseInt(size);

    myTitle.data=title;

    myWindow.contextMenuItems[0].title = 'Close ' + title;

    isShowing=true;
}
